.topnav * {
  font-family: "微軟正黑體", Arial;
  margin: 0px;
  padding: 0px;
}

.topnav {
  background-color: #333;
  overflow: hidden;
  position: fixed;
  width: 1024px;
  z-index: 10;
  left: calc((100% - 1024px) / 2);
  top: 0;
  border-radius: 0 0 20px 20px;
  box-shadow: 2px 2px 5px #555;
}

.navitems a {
  width: 100%;
  color: white;
  text-align: center;
  text-decoration: none;
  font-size: 17px;
  float: left;
  line-height: 25px;
}


.topnav-centered {
  float: left;
  width: 80%;
  text-align: center;
}

.topnav-left {
  float: left;
  width: 10%;
}

.topnav-right {
  float: left;
  width: 10%;
  text-align: right;
}

.navitems {
  color: white;
  list-style-type: none;
}

.navitems li {
  display: inline-block;
  width: 100px;
  padding: 10px 10px;
  color: white;
}

.navitems li:hover {
  background: #555;
}

.navitems li:hover a {
  color: lightseagreen;
}

.navitems li.active {
  background: #eee;
}

.navitems li.active a {
  color: #555;
  font-weight: bolder;
}